Agent Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/users.json

Retrieve information about the agents in your account. Similar to the organization call, except with more detail and without nesting.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • user object
      Hide user attributes Show user attributes object
      • avatar_url string | null
      • name string
      • on_call boolean

        Is this agent available to receive notifications

      • username string
      • uuid string
      • email string
      • permission_level string
      • group_uuids array
GET /api/users.json
curl \
 --request GET 'https://application.textline.com/api/users.json'
Response examples (200)
{
  "user": {
    "avatar_url": "https://example.com/image.png",
    "name": "Chuck Finley",
    "on_call": true,
    "username": "ChuckF",
    "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
    "email": "chuckf@textline.com",
    "permission_level": "Admin",
    "group_uuids": [
      "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
      "35c450e8-5b60-46e2-b691-481419462c16"
    ]
  }
}